Create a delivery link
POST
Create a pre-verified opinion link for one customer and optionally email it. Each project can email the same customer once every 48 hours.
API-key permission: link create. Business sessions and resource-authorized OAuth tokens are also supported.
cookie
orvelt-biz.session_token<token>An existing Business session. Browser requests must also pass origin and CSRF checks.
projectId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidapplication/json- body
customerEmail*stringMatch
^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Format
emailcustomerFirstName*stringLength
1 <= length <= 100customerLastName?stringLength
1 <= length <= 100customerReference*stringLength
1 <= length <= 255sendEmail?booleanDefault
trueOK
application/json- response
verificationId*stringMatch
^[A-Za-z0-9_-]{21}$token*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidexpiresAt*stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timettlSeconds*integerRange
0 < value <= 9007199254740991validityMinutes*numberprojectId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidcustomerEmail*stringMatch
^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Format
emailcustomerFirstName*stringLength
1 <= length <= 100customerLastName?stringLength
1 <= length <= 100customerReference?stringLength
1 <= length <= 255link*stringFormat
uriemailedAt*|nullemailError?|Default
nullcurl -X POST 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/link' \
-H 'Content-Type: application/json' \
-d '{
"customerEmail": "[email protected]",
"customerFirstName": "string",
"customerReference": "string"
}'Example Response
{
"verificationId": "string",
"token": "b5507016-7da2-4777-a161-1e8042a6a377",
"expiresAt": "2019-08-24T14:15:22Z",
"ttlSeconds": 1,
"validityMinutes": 10080,
"projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
"customerEmail": "[email protected]",
"customerFirstName": "string",
"customerLastName": "string",
"customerReference": "string",
"link": "http://example.com",
"emailedAt": "2019-08-24T14:15:22Z",
"emailError": null
}